printing a GHashTable out in GDB

I am trying to print out a GHashTable in GDB in a clean way. I found a blog on the Archer project which shows the ability to print out a GHashTable...

Upgraded to Debian 7.5; now '[email protected]_2.14' is undefined

A week ago I could compile and link my project (C++) with no issues. However, after doing a sudo apt-get dist-upgrade earlier this week, I can no longer link my program. The error I get is like...

Install Webkit for Standalone HTML Desktop App

A few months ago I converted my web application to run as a linux app (kind of, it's just in a web browser to give the illusion that it's a full fledged linux app) I made it on Ubuntu 14.04 and...

I can't install anything with apt-get on Ubuntu 14.04

The first problem is that I can't even post my question on askUbuntu! Second, my problem is, I can't install anything since a while via apt-get, I suspect it happened when I tried to install...

docker Unable to connect to archive.ubuntu.com:http: [IP: 209.6.3.210 80]

I'm having issues building my Dockerfile (on OS X), getting the above error for multiple libraries. I've tried adding google dns servers and the below sources.list workaround but nothing that I've...

Error on installing Rattle in Ubuntu

I'm trying to install Rattle in Ubuntu 14.04, but I'm getting this error: Error in loadNamespace(name) : there is no package called ‘RGtk2’ But when I try to install RGtk2 I get...

ImportError /lib/ld-linux-armhf.so.3: version `gLIB _2.4' not found

I am currently getting an import error and it seems to happen on the requests module in python. Here is the error I am getting on my RPi Traceback (most recent call last): File...

Downgrading to official versions of kurento-media-server

According to documentation, older versions of KMS are available for download at http://ubuntu.kurento.org/pool/main/k/. There seems to be only one version available here (6.0.0), and even after...

What is the significance of "error: symbol lookup error: undefined symbol:" when loading libglib in debug mode?

The following command succeeds without errors: python3 -c 'from gi.repository import GLib'. However, when debugging some glib-related segmentation faults, I ran the same command with...

Problems with Gst in python program

I'm in trouble making a simple server/client socket python program. Basically, my server (RPi3) has to stream a video (with Gstreamer) to the client (Fedora 24). The problem is that in my Fedora,...

How to fix broken apt-get on debian wheezy?

I'm using a debian wheezy at work. Packages are held in specific versions. My /etc/apt/sources.list contains lines like : deb http://mycompany.com/debian/debian-main/ wheezy main non-free...

Broken apt dependency tree

I was upgrading Ubuntu 16.04 to 17.04, when some packaged failed to upgrade. This left the apt dependency in a broken state. I tried some other answers online, but I am afraid this only...

How to install pip into a ubuntu container while keeping layers to a minimum?

I'm interested in building a small container image which has pip-installed packages, but unfortunately, installing python3-pip via apt-get pulls in a lot of dependencies (348MB) into an otherwise...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

Dockerfile compatibility with Raspberry Pi?

I have built the image from the following Dockerfile in my Rpi Kubernetes cluster. However, I was getting status of CrashLoopBackOff for my Pods. After a bit of search on the internet, I realized...

gtk_init caused crash on ubuntu 16.04 if program run without sudo

gtk_init caused crash on ubuntu 16.04 if run program without sudo. If run with sudo, then have not problem. On other ubuntu versions also have not problem with and without sudo. Minimally...

Relevant tags